Package org.zeromq

# Class ZMQException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.zeromq.ZMQException

All Implemented Interfaces:
  `Serializable`

public class ZMQException extends RuntimeException
ZeroMQ runtime exception.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ZMQException(String message, int errorCode)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ZMQException

public ZMQException(String message, int errorCode)

## Method Details

### getErrorCode

public int getErrorCode()

Returns:
  error code

### toString

public String toString()

Overrides:
  `toString` in class `Throwable`